version: '2.4'
services:
  node-init:
    image: "nexus.gz1.opensdn.io:5102/opensdn-node-init:nightly"
    env_file: /etc/contrail/common_kubemanager.env
    environment:
      - CONTRAIL_STATUS_IMAGE="nexus.gz1.opensdn.io:5102/opensdn-status:nightly"
    privileged: true
    pid: host
    network_mode: "host"
    volumes:
      - /usr/bin:/host/usr/bin
      - /etc/contrail/ssl/kubernetes-master:/etc/contrail/ssl
      - /etc/sysctl.d:/etc/sysctl.d
      - /etc/hosts:/etc/hosts
      - /var/log/contrail:/var/log/contrail
      - /etc/timezone:/etc/timezone
      - /etc/localtime:/etc/localtime
      - /var/crashes:/var/crashes
    logging:
      driver: json-file
      options:
        max-file: "5"
        max-size: "20m"

  kubemanager:
    image: "nexus.gz1.opensdn.io:5102/opensdn-kubernetes-kube-manager:nightly"
    env_file: /etc/contrail/common_kubemanager.env
    network_mode: host
    environment:
      - K8S_TOKEN=eyJhbGciOiJSUzI1NiIsImtpZCI6IkVzOXRNeEp3ZEdDd3RBNXA2N3J1UWpqckxGMndNamlFMVJfWWN0MTA5REkifQ.eyJpc3MiOiJrdWJlcm5ldGVzL3NlcnZpY2VhY2NvdW50Iiwia3ViZXJuZXRlcy5pby9zZXJ2aWNlYWNjb3VudC9uYW1lc3BhY2UiOiJjb250cmFpbCIsImt1YmVybmV0ZXMuaW8vc2VydmljZWFjY291bnQvc2VjcmV0Lm5hbWUiOiJjb250cmFpbC1rdWJlbWFuYWdlciIsImt1YmVybmV0ZXMuaW8vc2VydmljZWFjY291bnQvc2VydmljZS1hY2NvdW50Lm5hbWUiOiJjb250cmFpbC1rdWJlbWFuYWdlciIsImt1YmVybmV0ZXMuaW8vc2VydmljZWFjY291bnQvc2VydmljZS1hY2NvdW50LnVpZCI6IjkwM2FmNDBiLTViYTMtNGJjMi04OWRhLTM2YzEzNjIyM2UxNyIsInN1YiI6InN5c3RlbTpzZXJ2aWNlYWNjb3VudDpjb250cmFpbDpjb250cmFpbC1rdWJlbWFuYWdlciJ9.ZcNh44N9l621sXgmS5qrWmhljemiUqMtoFemyPT7g6uKMNZRQVwEMIgb0AaDs4_0My6pkfDjqrwLaFT2UV4WVeT0GYXcCNDSGyPR9C9Cj4wys2pjkoczDCpAjuDsvd1lA2wKjnv4rlwrTwRLYrdyNSkiXip-e0oivHqUTczwL7KBVvW-d34qA0CpKxsiOXIYZBcGkHlEjz8zM61cqiRLgKozrlzAwT981CSxRXl3umwS68EouDUOx50Q4K6iOdjbpmm4LGVYs8bsUbwoXvJGf9o-cmLT5uj7iI2oWMYUXxPbHneqQvE_oETWt_C05HhWyz2v4l-G-UfDD9Ztgz0WPg
    volumes_from:
      - node-init
    depends_on:
      - node-init
    restart: always
    logging:
      driver: json-file
      options:
        max-file: "5"
        max-size: "20m"
